org.apache.ignite.internal.direct

## Class DirectMessageWriterState

- java.lang.Object
- - org.apache.ignite.internal.direct.DirectMessageWriterState

    public class DirectMessageWriterState
    extends Object

Writer state.

### Constructor Summary

Constructors
Constructor and Description
`DirectMessageWriterState()`

### Method Summary

Methods
`void` `afterInnerMessageWrite(boolean finished)` Callback called after inner message is written.
`void` `beforeInnerMessageWrite()` Callback called before inner message is written.
`void` `incrementState()` Increments state.
`boolean` `isTypeWritten()`
`void` `onTypeWritten()` Callback called after type is written.
`void` `reset()` Resets state.
`protected void` `setState(int val)`
`int` `state()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DirectMessageWriterState

    public DirectMessageWriterState()

### Method Detail

#### isTypeWritten

    public boolean isTypeWritten()

Returns:
  Whether type is written.

#### onTypeWritten

    public void onTypeWritten()

Callback called after type is written.

#### state

    public int state()

Returns:
  Current state.

#### incrementState

    public void incrementState()

Increments state.

#### setState

    protected void setState(int val)

Parameters:
  `val` - New state value.

#### beforeInnerMessageWrite

    public void beforeInnerMessageWrite()

Callback called before inner message is written.

#### afterInnerMessageWrite

    public void afterInnerMessageWrite(boolean finished)

Callback called after inner message is written.

Parameters:
  `finished` - Whether message was fully written.

#### reset

    public void reset()

Resets state.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015